%define anolis_release .0.2
%global _missing_build_ids_terminate_build 0
%global debug_package   %{nil}


Name:           startdde
Version:        5.9.61
Release:        1%{anolis_release}%{?dist}.03
Summary:        Starter of deepin desktop environment
License:        GPLv3
URL:            https://github.com/linuxdeepin/startdde
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

Patch0:         0001-uos-startdde-fix-kvm-gpu-message-pci-error.patch
Patch1:         0002-uos-startdde-rm-redshift.patch 
Patch2:         0003-uos-startdde-rm-message-greeter-BadMatch-error.patch

BuildRequires:  golang
BuildRequires:  jq
BuildRequires:  gocode
BuildRequires:  glib2-devel
BuildRequires:  pkgconfig(x11)
BuildRequires:  libXcursor-devel
BuildRequires:  libXfixes-devel
BuildRequires:  gtk3-devel
BuildRequires:  pulseaudio-libs-devel
BuildRequires:  libgnome-keyring-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  pkgconfig(gudev-1.0)
BuildRequires:  pkgconfig(libsecret-unstable)
BuildRequires:  go-x11-client-devel
BuildRequires:  go-dbus-factory-devel
BuildRequires:  go-lib-devel
BuildRequires:  go-gir-generator
BuildRequires:  dde-api-devel


Provides:       x-session-manager
Requires:       dde-daemon
Requires:       procps
Requires:       deepin-desktop-schemas
Requires:       dde-kwin
Requires:       libXfixes
Requires:       libXcursor
Recommends:     dde-qt5integration

%description
%{summary}.

%prep
%setup -n %{name}-%{version}
sed -i 's|/usr/lib/deepin-daemon|/usr/libexec/deepin-daemon|g' \
misc/auto_launch/chinese.json misc/auto_launch/default.json

## Scripts in /etc/X11/Xsession.d are not executed after xorg start
sed -i 's|X11/Xsession.d|X11/xinit/xinitrc.d|g' Makefile

patch main.go < rpm/main.go.patch
%patch0 -p1
%patch1 -p1
%patch2 -p1
%build
%ifarch loongarch64
export GOOS="linux"
export CGO_ENABLED=1
%endif

export GOPATH=/usr/share/gocode

## Scripts in /etc/X11/Xsession.d are not executed after xorg start
sed -i 's|X11/Xsession.d|X11/xinit/xinitrc.d|g' Makefile

%make_build GO_BUILD_FLAGS=-trimpath

%install
%make_install

%post
xsOptsFile=/etc/X11/Xsession.options
update-alternatives --install /usr/bin/x-session-manager x-session-manager \
    /usr/bin/startdde 90 || true
if [ -f $xsOptsFile ];then
	sed -i '/^use-ssh-agent/d' $xsOptsFile
	if ! grep '^no-use-ssh-agent' $xsOptsFile >/dev/null; then
		echo no-use-ssh-agent >> $xsOptsFile
	fi
fi

%files
%doc README.md
%license LICENSE
%{_sysconfdir}/X11/xinit/xinitrc.d/00deepin-dde-env
%{_sysconfdir}/X11/xinit/xinitrc.d/01deepin-profile
%{_sysconfdir}/X11/xinit/xinitrc.d/94qt_env
%{_sysconfdir}/profile.d/deepin-xdg-dir.sh
%{_bindir}/%{name}
%{_sbindir}/deepin-fix-xauthority-perm
%{_datadir}/xsessions/deepin.desktop
%{_datadir}/lightdm/lightdm.conf.d/60-deepin.conf
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/startdde/*
%{_datadir}/locale/
%{_datadir}/dsg/
/usr/lib/deepin-daemon/greeter-display-daemon

%changelog
* Fri Jan 12 2024 yangxianzhao <yangxianzhao@uniontech.com> - 5.9.61-1.03.0.2
- rebuild for qt5-qtbase

* Wed Sep 20 2023 yangxianzhao <yangxianzhao@uniontech.com> - 5.9.61-1.03.0.1
- rebuild for qt5-qtbase-5.15.3

* Wed Apr 19 2023 lichao <lichaod@uniontech.com> - 5.9.61-1.03
- fix: fix  greeter.go error in message (bugid:189853)

* Thu Apr 13 2023 lichao <lichaod@uniontech.com> - 5.9.61-1.02
- fix: fix failed to  disable  redshift.service (bugid:189853)

* Tue Apr 11 2023 lichao <lichaod@uniontech.com> - 5.9.61-1.01
- fix: fix failed to get current using graphics card pci id error (bugid:189853)

* Tue Jan 03 2023 liweiganga <liweiganga@uniontech.com> - 5.9.61-1
- update: update to 5.9.61

* Wed Oct 19 2022 zhangkea <zhangkea@uniontech.com> - 5.8.34.3-2.04
- fix: delete requires deepin-proxy resolve messages errors

* Tue Jun 28 2022 liweiganga <liweiganga@uniontech.com> - 5.8.34.3-2.03
- fix: add requires deepin-proxy

* Fri Jun 10 2022 uoser <uoser@uniontech.com> - 5.8.34.3-2.02
- update to 5.8.34.3-2.02
